import os
from services.state import State
from ui.selection_menu import SelectionMenu
from views.member_menu import MemberMenu

class MainMenu:
    @staticmethod
    def display():
        while True:
            os.system("clear")
            main_menu = SelectionMenu(f"Welcome {State.CURRENT_USER.username}!")

            if State.CURRENT_USER.role == "ADVISOR" or State.CURRENT_USER.role == "SYSTEM_ADMIN":
                main_menu.add_option("Update My Password", None)
                main_menu.add_option("Manage Members", MainMenu.manage_members)

            if State.CURRENT_USER.role == "SYSTEM_ADMIN" and State.CURRENT_USER.role == "SUPER_ADMIN":
                main_menu.add_option("Manage Advisors", None)
            
            main_menu.add_option("Exit...", None)

            selected_option = main_menu.display().input_option()
            if selected_option == None:
                exit(0)

            selected_option()

    @staticmethod
    def manage_members():
        os.system("clear")

        menu = SelectionMenu(f"Manage Members")
        menu.add_option("Add Member", MemberMenu.add_member)
        menu.add_option("Edit Member", MemberMenu.edit_member)
        menu.add_option("Remove Member", MemberMenu.remove_member)
        menu.add_option("Back to main menu", None)
        
        selected_option = menu.display().input_option()
        if selected_option == None:
            return
        
        selected_option()


