
from models.database import Database
from models.user import User
from ui.input_menu import InputMenu, EMAIL_VALIDATOR


class MemberMenu:
    @staticmethod
    def search_member():
        form = InputMenu("Search for member")
        form.add_option("QUERY", "Query", "STR", None, 1, 250, None)

    @staticmethod
    def add_member():
        form = InputMenu("Add new member")
        form.add_option("FIRSTNAME", "Firstname", "STR", None, 1, 250, None)
        form.add_option("LASTNAME", "Lastname", "STR", None, 1, 250, None)
        form.add_option("ADDRESS", "Address", "STR", None, 1, 250, None)
        form.add_option("ZIPCODE", "Zipcode", "STR", None, 6, 6, None)
        form.add_option("CITY_ID", "City", "STR", None, 1, 250, None)
        form.add_option("EMAIL", "Email", "STR", None, 1, 250, EMAIL_VALIDATOR)
        form.add_option("PHONE", "Phone (+31-6)", "STR", None, 8, 8, None)
        form.do_input()

        new_user = User(Database.connection, 
            None, 
            "",
            form.get_value("FIRSTNAME"),
            form.get_value("LASTNAME"),
            form.get_value("ADDRESS"),
            form.get_value("ZIPCODE"),
            form.get_value("CITY_ID"),
            form.get_value("EMAIL"),
            "+31-6" + form.get_value("PHONE"),
            "",
            "MEMBER"
        )

        new_user.save()
        input("Added new member! Press any key to return.")

    @staticmethod
    def edit_member():
        pass

    @staticmethod
    def remove_member():
        pass